summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-06-17 23:45:45 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-06-17 23:45:45 -0500
commit3f1eef58da90230ae617e5b105b17eaff7e832ce (patch)
tree8feac440ff012286c4941a993e064da6d461cdfe
parentee98b278039b6e166b3b4ffb2eb379e81f2d1a1f (diff)
downloadslackbuilds-3f1eef58da90230ae617e5b105b17eaff7e832ce.tar.gz
slackbuilds-3f1eef58da90230ae617e5b105b17eaff7e832ce.tar.xz
audio/fluid-soundfont: Added (Fluid General MIDI SoundFont)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--audio/fluid-soundfont/README10
-rw-r--r--audio/fluid-soundfont/README.timidity9
-rw-r--r--audio/fluid-soundfont/fluid-soundfont.SlackBuild61
-rw-r--r--audio/fluid-soundfont/fluid-soundfont.info12
-rw-r--r--audio/fluid-soundfont/fluidplay5
-rw-r--r--audio/fluid-soundfont/slack-desc19
6 files changed, 116 insertions, 0 deletions
diff --git a/audio/fluid-soundfont/README b/audio/fluid-soundfont/README
new file mode 100644
index 0000000000..2be9230f5a
--- /dev/null
+++ b/audio/fluid-soundfont/README
@@ -0,0 +1,10 @@
+Fluid General MIDI SoundFont
+
+This is a GM SoundFont, for use with any modern MIDI synthesiser: hardware
+(like the emu10k1 sound card), or software (like FluidSynth).
+
+This package includes a shell script wrapper "fluidplay" that runs
+fluidsynth (if it's installed) with this SoundFont pre-loaded.
+
+This package can also be used with TiMidity++. See README.timidity in
+the documentation directory.
diff --git a/audio/fluid-soundfont/README.timidity b/audio/fluid-soundfont/README.timidity
new file mode 100644
index 0000000000..63cabf96d5
--- /dev/null
+++ b/audio/fluid-soundfont/README.timidity
@@ -0,0 +1,9 @@
+
+The SlackBuilds.org fluid-soundfont package includes a config
+file to use the SoundFont with TiMidity++. To enable, create an
+/etc/timidity/timidity.cfg containing the following line of text:
+
+source /etc/timidity/fluid.cfg
+
+If you already have a /etc/timidity/timidity.cfg, delete it first,
+or move it out of the way.
diff --git a/audio/fluid-soundfont/fluid-soundfont.SlackBuild b/audio/fluid-soundfont/fluid-soundfont.SlackBuild
new file mode 100644
index 0000000000..2f48701a35
--- /dev/null
+++ b/audio/fluid-soundfont/fluid-soundfont.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/bash
+
+# Slackware build script for fluid-soundfont
+# This is basically a combined repack of Debian's fluid-soundfont-gm
+# and fluid-soundfont-gs packages, plus a wrapper script for fluidsynth.
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=fluid-soundfont
+VERSION=${VERSION:-3.1_5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+TARVER=$( echo $VERSION | sed 's/_.*//' )
+DEBVER=${VERSION/_/-}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$TARVER
+tar xvf $CWD/${PRGNAM}_$TARVER.orig.tar.gz
+cd $PRGNAM-$TARVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# The only parts of the Debian patch we use are the .cfg files for timidity.
+zcat $CWD/${PRGNAM}_${DEBVER}.diff.gz | patch -p1
+
+mkdir -p $PKG/etc/timidity \
+ $PKG/usr/bin \
+ $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/usr/share/sounds/sf2
+
+cat $CWD/fluidplay > $PKG/usr/bin/fluidplay
+chmod 0755 $PKG/usr/bin/fluidplay
+
+cp *.sf2 $PKG/usr/share/sounds/sf2
+sed -e 's/\r//' \
+ debian/fluidr3_gm.cfg debian/fluidr3_gs.cfg \
+ > $PKG/etc/timidity/fluid.cfg
+cp README COPYING $CWD/README.timidity $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/fluid-soundfont/fluid-soundfont.info b/audio/fluid-soundfont/fluid-soundfont.info
new file mode 100644
index 0000000000..11ef3e0430
--- /dev/null
+++ b/audio/fluid-soundfont/fluid-soundfont.info
@@ -0,0 +1,12 @@
+PRGNAM="fluid-soundfont"
+VERSION="3.1_5"
+HOMEPAGE="http://packages.debian.org/sid/fluid-soundfont-gm"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/f/fluid-soundfont/fluid-soundfont_3.1.orig.tar.gz \
+ http://ftp.debian.org/debian/pool/main/f/fluid-soundfont/fluid-soundfont_3.1-5.diff.gz"
+MD5SUM="189bbdf70221018cbda536984b105dfa \
+ d577a4c8e8785739e1321f377fe5ab71"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/fluid-soundfont/fluidplay b/audio/fluid-soundfont/fluidplay
new file mode 100644
index 0000000000..780ce02d4d
--- /dev/null
+++ b/audio/fluid-soundfont/fluidplay
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+SOUNDFONTS="/usr/share/sounds/sf2/FluidR3_GM.sf2 /usr/share/sounds/sf2/FluidR3_GS.sf2"
+
+exec fluidsynth $SOUNDFONTS "$@"
diff --git a/audio/fluid-soundfont/slack-desc b/audio/fluid-soundfont/slack-desc
new file mode 100644
index 0000000000..48f95c20e2
--- /dev/null
+++ b/audio/fluid-soundfont/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fluid-soundfont: fluid-soundfont (Fluid General MIDI SoundFont)
+fluid-soundfont:
+fluid-soundfont: This is a GM SoundFont, for use with any modern MIDI synthesiser:
+fluid-soundfont: hardware (like the emu10k1 sound card), or software (like FluidSynth).
+fluid-soundfont:
+fluid-soundfont:
+fluid-soundfont:
+fluid-soundfont:
+fluid-soundfont:
+fluid-soundfont:
+fluid-soundfont: